package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class LogisticBean {

        /**
         * records : [{"createdBy":null,"createdByName":null,"createdTime":"2020-01-15 17:38:19","updatedBy":null,"updatedByName":null,"updatedTime":"2020-02-20 09:40:26","id":34,"receiveDeptId":null,"logisticsId":null,"distributionSite":"1","issuingUnit":"2","invoiceNumber":"3","processCode":"PO","totalWeight":1000,"applyAmount":100,"status":"1","remark":"1","logisticsLogList":null,"receiveDeptName":"业务部","logisticsName":"圆通物流1","createdUser":"冯帆","updatedUser":"冷益飞"},{"createdBy":null,"createdByName":null,"createdTime":"2020-01-15 15:56:03","updatedBy":null,"updatedByName":null,"updatedTime":"2020-02-20 09:40:33","id":33,"receiveDeptId":null,"logisticsId":null,"distributionSite":"12","issuingUnit":"3","invoiceNumber":"44","processCode":"PO","totalWeight":560,"applyAmount":116,"status":"2","remark":"2","logisticsLogList":null,"receiveDeptName":"业务部","logisticsName":"圆通物流1","createdUser":"冯帆","updatedUser":"冷益飞"},{"createdBy":null,"createdByName":null,"createdTime":"2020-01-14 15:21:36","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":32,"receiveDeptId":null,"logisticsId":null,"distributionSite":"11","issuingUnit":"111","invoiceNumber":"111","processCode":"SO","totalWeight":35,"applyAmount":1000,"status":"0","remark":null,"logisticsLogList":null,"receiveDeptName":"锆碳公司","logisticsName":"圆通物流1","createdUser":"冷益飞","updatedUser":null}]
         * total : 3
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : null
             * createdByName : null
             * createdTime : 2020-01-15 17:38:19
             * updatedBy : null
             * updatedByName : null
             * updatedTime : 2020-02-20 09:40:26
             * id : 34
             * receiveDeptId : null
             * logisticsId : null
             * distributionSite : 1
             * issuingUnit : 2
             * invoiceNumber : 3
             * processCode : PO
             * totalWeight : 1000.0
             * applyAmount : 100.0
             * status : 1
             * remark : 1
             * logisticsLogList : null
             * receiveDeptName : 业务部
             * logisticsName : 圆通物流1
             * createdUser : 冯帆
             * updatedUser : 冷益飞
             */

            private Object createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private String updatedTime;
            private int id;
            private Object receiveDeptId;
            private Object logisticsId;
            private String distributionSite;
            private String issuingUnit;
            private String invoiceNumber;
            private String processCode;
            private double totalWeight;
            private double applyAmount;
            private String status;
            private String remark;
            private Object logisticsLogList;
            private String receiveDeptName;
            private String logisticsName;
            private String createdUser;
            private String updatedUser;

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public Object getReceiveDeptId() {
                return receiveDeptId;
            }

            public void setReceiveDeptId(Object receiveDeptId) {
                this.receiveDeptId = receiveDeptId;
            }

            public Object getLogisticsId() {
                return logisticsId;
            }

            public void setLogisticsId(Object logisticsId) {
                this.logisticsId = logisticsId;
            }

            public String getDistributionSite() {
                return distributionSite;
            }

            public void setDistributionSite(String distributionSite) {
                this.distributionSite = distributionSite;
            }

            public String getIssuingUnit() {
                return issuingUnit;
            }

            public void setIssuingUnit(String issuingUnit) {
                this.issuingUnit = issuingUnit;
            }

            public String getInvoiceNumber() {
                return invoiceNumber;
            }

            public void setInvoiceNumber(String invoiceNumber) {
                this.invoiceNumber = invoiceNumber;
            }

            public String getProcessCode() {
                return processCode;
            }

            public void setProcessCode(String processCode) {
                this.processCode = processCode;
            }

            public double getTotalWeight() {
                return totalWeight;
            }

            public void setTotalWeight(double totalWeight) {
                this.totalWeight = totalWeight;
            }

            public double getApplyAmount() {
                return applyAmount;
            }

            public void setApplyAmount(double applyAmount) {
                this.applyAmount = applyAmount;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getRemark() {
                return remark;
            }

            public void setRemark(String remark) {
                this.remark = remark;
            }

            public Object getLogisticsLogList() {
                return logisticsLogList;
            }

            public void setLogisticsLogList(Object logisticsLogList) {
                this.logisticsLogList = logisticsLogList;
            }

            public String getReceiveDeptName() {
                return receiveDeptName;
            }

            public void setReceiveDeptName(String receiveDeptName) {
                this.receiveDeptName = receiveDeptName;
            }

            public String getLogisticsName() {
                return logisticsName;
            }

            public void setLogisticsName(String logisticsName) {
                this.logisticsName = logisticsName;
            }

            public String getCreatedUser() {
                return createdUser;
            }

            public void setCreatedUser(String createdUser) {
                this.createdUser = createdUser;
            }

            public String getUpdatedUser() {
                return updatedUser;
            }

            public void setUpdatedUser(String updatedUser) {
                this.updatedUser = updatedUser;
            }
        }
    }
